%define		packname 		jakarta-ant
%define		javalibdir  	/usr/share/java
%define     contentdir      /home/httpd
%define     rh7contentdir   /var/www


Summary: 		ant build tool for java
Name: 			ant
Version: 		1.2
Release: 		1
Group: 			Development/Tools
Copyright: 		Apache
Url: 			http://jakarta.apache.org/ant
BuildArch:		noarch
Source: 		http://jakarta.apache.org/builds/ant/release/v%{version}/src/%{packname}-src.tar.gz
Source1: 		ant.sh
Source2:		optional.jar
BuildRoot: 		/var/tmp/ant-root

%description
Platform-independent build tool for java.
Ant is a Java based build system
Ant is used by apache jakarta&xml projects.

%package doc
Group: Documentation
Requires: webserver
Summary: Online manual for ant

%description doc
Documentation for ant, Platform-independent build tool for java.
Used by Apache Group for jakarta and xml projects.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -c -n %{packname}

%build
mkdir -p lib
cp %{SOURCE2} .
export CLASSPATH=$RPM_BUILD_DIR/%{packname}/lib/jaxp.jar:$RPM_BUILD_DIR/%{packname}/lib/parser.jar:$RPM_BUILD_DIR/%{packname}/optional.jar
if [ -f /usr/bin/jikes ]; then
export CLASSPATH=$CLASSPATH:$JAVA_HOME/jre/lib/rt.jar
export JAVAC=jikes
export ANT_OPTS="-Dbuild.compiler=jikes -Dbuild.dir=$RPM_BUILD_DIR/%{packname}/build -Dant.dist.dir=$RPM_BUILD_ROOT/dist"
fi

sh bootstrap.sh 

%install
mkdir -p $RPM_BUILD_ROOT/dist 
export CLASSPATH=$RPM_BUILD_DIR/%{packname}/lib/jaxp.jar:$RPM_BUILD_DIR/%{packname}/lib/parser.jar:$RPM_BUILD_DIR/%{packname}/optional.jar
if [ -f /usr/bin/jikes ]; then
export CLASSPATH=$CLASSPATH:$JAVA_HOME/jre/lib/rt.jar
export JAVAC=jikes
export ANT_OPTS="-Dbuild.compiler=jikes -Dbuild.dir=$RPM_BUILD_DIR/%{packname}/build -Dant.dist.dir=$RPM_BUILD_ROOT/dist"
fi
# remove dos CR
mv build.sh     build.sh.dos
tr -d '\015' < build.sh.dos > build.sh
sh build.sh dist 

mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{javalibdir}

# this damn't tomcat build failed in copydir ;-( 
mkdir -p $RPM_BUILD_ROOT/usr/share/ant/bin

install -m 644 $RPM_BUILD_ROOT/dist/lib/ant.jar $RPM_BUILD_ROOT%{javalibdir}
install -m 644 lib/jaxp.jar $RPM_BUILD_ROOT%{javalibdir}
install -m 644 lib/parser.jar $RPM_BUILD_ROOT%{javalibdir}
install -m 644 optional.jar $RPM_BUILD_ROOT%{javalibdir}
install -m 755 $RPM_BUILD_ROOT/dist/bin/antRun $RPM_BUILD_ROOT/usr/share/ant/bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/ant

cd $RPM_BUILD_ROOT

# doc
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/manual/%{name}
cp -prf $RPM_BUILD_ROOT/dist/docs/* $RPM_BUILD_ROOT%{contentdir}/html/manual/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(644 root root 755)
%doc LICENSE README TODO WHATSNEW
%attr(755,root,root)			/usr/bin/ant
%attr(755,root,root)			/usr/share/ant/bin/antRun
%attr(644,root,root)            %{javalibdir}/*.jar

%files doc
%defattr(644 root root 755)
%attr( - ,root,root)                %{contentdir}/html/manual/%{name}

%changelog
* Tue Oct 24 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2
- added optional.jar 
- read WHATSNEW for changes in ant 1.2

* Fri Oct 20 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.2rc 
- added optional.jar (from jarkata site)
- source file is renamed from jakarta-ant-src.tar.gz to 
  jakarta-ant-src-v1.2rc.tar.gz to allow multiple source file
  in my RPM source dir
- build CLASSPATH=

* Mon Oct 16 2000 Henri Gomez <hgomez@slib.fr>
- ant-1.1 RPM Release 5
- follow Debian policy about java stuff, libs in /usr/share/java,
  executable in /usr/bin
- prepare transition to RH 7.0 new document root (/var/www)
- build CLASSPATH=/usr/share/java/bsf.jar:/usr/share/java/xalan.jar

* Fri Oct 06 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-4
- tomcat build failed if ANT_HOME is set to /usr.
  ant shell script set ANT_HOME to /usr/share/ant 
  to fix 'antRun not found' and allow tomcat build ;-?!
- reorganized group packages for javas RPM :
  Development/Tools (ant)
  Developement/Libraries(xalan, xerces)
  Documentation (all ;-)
- build CLASSPATH=/usr/lib/java/bsf.jar:/usr/lib/java/bsfengines.jar:/usr/lib/java/xalan.jar

* Fri Sep 29 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-3- jars are now installed on /usr/lib/java since /opt is
  mounted read-only on many systems <summer@os2.ami.com.au>
- correct bad URL in apidocs
- try to use jikes if present
- rebuilded with IBM JDK 1.3.0 (cx130-20000815)

* Fri Jul 21 2000 Henri Gomez <hgomez@slib.fr>
- v1.1-2 
- Rebuild rpm with IBM JDK 1.3 (cx130-20000623) to allow ant  
  work under both JDK 1.1.8 and JDK 1.3.
- minor spec file correction (patch ant after install)

* Thu Jul 20 2000 Henri Gomez <hgomez@slib.fr>
- v1.1 final release
- ant need now a JAXP compatible parser. Sun's jaxp 1.0.1 are
  allready included in .tar.gz and so we will use and export
  these jar (jaxp.jar & parser.jar).
  You could also use Apache xerces 1.1.2 or later.
- removed export CLASSPATH= at build time, but you'll have to
  ensure now you have a minimal CLASSPATH (ie: xml parser jars)
- Try to use now the Linux Software Map and Redhat Map.
  exec goes /usr/bin and classes in /usr/lib/ant.
  documentation stay in /home/httpd/html/manual/ant
- Compiled on Redhat 6.1 with latest IBM JDK 1.1.8 (l118-20000515)
 
* Tue May 02 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1
- From jakarta/tomcat 3.1 final release. Need now to
  have a consistent version number ;-)
- Fixed classpath problem at compile time by cleaning CLASSPATH before
  build/install stages.
- Compiled on Redhat 6.1 with IBM JDK 1.1.8 (20000328)
 
* Thu Apr 13 2000 Henri Gomez <hgomez@slib.fr>
- v0.3.1_rc1
- Version renamed to 0.3.1_rc1 to follow Sam Ruby (rubys@us.ibm.com)
  recommandation since the next major release will be 1.0
 
* Wed Mar 08 2000 Henri Gomez <gomez@slib.fr>
- v3.1b1
- removed moo from ant RPM. Will be now in watchdog RPM.

* Tue Feb 29 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc2

* Fri Feb 25 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m2rc1
- moo is no more in the tar packages, will be released
  in another RPM
- added doc package

* Fri Jan 28 2000 Henri Gomez <gomez@slib.fr>
- v3.1_m1

* Tue Jan 18 2000 Henri Gomez <gomez@slib.fr>
- first RPM of v3.1_m1_rc1 

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- moved from /opt/jakarta/jakarta-tools to /opt/ant

* Tue Jan  4 2000 Henri Gomez <gomez@slib.fr>
- CVS 4 Jan 2000 
- added servlet.jar from tomcat in SRPM
   to allow first build of moo.

* Thu Dec 30 1999 Henri Gomez <gomez@slib.fr>
- Initial release for jakarta-tools cvs


